Index: app/Exports/DepartmentsExport.php
===================================================================
--- app/Exports/DepartmentsExport.php	(revision 7ba896f7ee534049617f17be77558925e2fc81f7)
+++ app/Exports/DepartmentsExport.php	(revision 7ba896f7ee534049617f17be77558925e2fc81f7)
@@ -0,0 +1,46 @@
+<?php
+
+namespace App\Exports;
+
+use App\Models\Department;
+use App\Models\User;
+use Maatwebsite\Excel\Concerns\FromCollection;
+use Maatwebsite\Excel\Concerns\WithHeadings;
+use Maatwebsite\Excel\Concerns\WithMapping;
+
+class DepartmentsExport implements FromCollection, WithMapping, WithHeadings
+{
+    /**
+     * @return \Illuminate\Support\Collection
+     */
+    public function collection()
+    {
+        return Department::all();
+    }
+
+    public function map($row): array{
+        $fields = [
+            $row->id,
+            $row->name,
+            $row->code,
+            $row->no_of_folders,
+            $row->user_id . ' - ' . User::find($row->user_id)->username,
+            $row->created_at,
+            $row->updated_at
+        ];
+        return $fields;
+    }
+
+    public function headings(): array
+    {
+        return [
+            'ID',
+            'Name',
+            'Code',
+            'Number of folders',
+            'Created by ID - Username',
+            'Created at',
+            'Updated at',
+        ];
+    }
+}
Index: app/Exports/FilesExport.php
===================================================================
--- app/Exports/FilesExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ app/Exports/FilesExport.php	(revision 7ba896f7ee534049617f17be77558925e2fc81f7)
@@ -5,5 +5,4 @@
 use App\Models\File;
 use App\Models\Folder;
-use App\Models\User;
 use Maatwebsite\Excel\Concerns\FromCollection;
 use Maatwebsite\Excel\Concerns\WithHeadings;
@@ -26,5 +25,5 @@
             $row->location,
             $row->getSize($row->location) . ' MB',
-            $row->Folder::find($row->folder_id)->name . ' - ' . Folder::find($row->folder_id)->arch_id,
+            $row->folder_id . ' - ' . Folder::find($row->folder_id)->name . ' - ' . Folder::find($row->folder_id)->arch_id,
             $row->created_at,
             $row->updated_at
@@ -40,5 +39,5 @@
             'Location',
             'Size',
-            'Folder - Archive ID',
+            'ID - Folder - Archive ID',
             'Created at',
             'Updated at'
Index: app/Exports/FoldersExport.php
===================================================================
--- app/Exports/FoldersExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ app/Exports/FoldersExport.php	(revision 7ba896f7ee534049617f17be77558925e2fc81f7)
@@ -5,4 +5,5 @@
 use App\Models\Department;
 use App\Models\Folder;
+use App\Models\User;
 use Maatwebsite\Excel\Concerns\FromCollection;
 use Maatwebsite\Excel\Concerns\WithHeadings;
@@ -26,5 +27,5 @@
             $row->note,
             $row->location,
-            $row->User::find($row->user_id)->username,
+            $row->user_id . ' - ' . User::find($row->user_id)->username,
             $row->Department::find($row->department_id)->name . ' - ' . Department::find($row->department_id)->code,
             $row->is_important,
@@ -43,5 +44,5 @@
             'Note',
             'Location',
-            'Created by',
+            'Created by ID - Username',
             'Department name - code',
             'Is important',
Index: app/Exports/UsersExport.php
===================================================================
--- app/Exports/UsersExport.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ app/Exports/UsersExport.php	(revision 7ba896f7ee534049617f17be77558925e2fc81f7)
@@ -28,5 +28,5 @@
             $row->phone_number,
             $row->is_confirmed,
-            $row->Role::find($row->role_id)->name,
+            $row->role_id . ' - ' . Role::find($row->role_id)->name,
             $row->where('id', $row->created_by)->pluck('username')->first(),
             $row->created_at,
@@ -46,5 +46,5 @@
             'Phone number',
             'Is confirmed',
-            'Role',
+            'Role ID - Username',
             'Created by',
             'Created at',
